com.amazonaws.services.elastictranscoder.waiters

## Class ReadJobFunction

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.waiters.ReadJobFunction

All Implemented Interfaces:
  SdkFunction<ReadJobRequest,ReadJobResult>

    public class ReadJobFunction
    extends Object
    implements SdkFunction<ReadJobRequest,ReadJobResult>

### Constructor Summary

Constructors
Constructor and Description
`ReadJobFunction(AmazonElasticTranscoder client)` Constructs a new ReadJobFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`ReadJobResult` `apply(ReadJobRequest readJobRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadJobFunction

    public ReadJobFunction(AmazonElasticTranscoder client)

Constructs a new ReadJobFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public ReadJobResult apply(ReadJobRequest readJobRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<ReadJobRequest,ReadJobResult>`
Parameters:
  `readJobRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation